Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List tokens

GET/workspaces/{organizationId}/tokens
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Token list

tokensobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
permissionsstringrequired
actorTypestring
Allowed:useragent
providerstring
teamIdsstring[]
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/tokens' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "tokens": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "permissions": "string",
      "actorType": "user",
      "provider": "string",
      "teamIds": [
        "string"
      ],
      "createdAt": "string"
    }
  ]
}

Was this page helpful?